%donald
viewport field

openshape pitcharea
within pitcharea{

	point b, t
	
	rectangle area

	b = {250, 100}
	t = {750, 900}
	
	area = rectangle(b,t)

}

?A_pitcharea_area="fill=solid,color=green";

openshape centrecircle
within centrecircle{
	circle area
	int rad
	point pos

	rad = 50
	pos = {500, 500}
	area = circle(pos, rad)
}

openshape topsemi
within topsemi{
	circle area
	int rad
	point pos

	rad = 50
	pos = {500, 225}
	area = circle(pos, rad)
}

openshape botsemi
within botsemi{
	circle area
	int rad
	point pos

	rad = 50
	pos = {500, 775}
	area = circle(pos, rad)
}

openshape centrepoint
within centrepoint{
	circle area
	int rad
	point pos

	rad = 5
	pos = {500, 500}
	area = circle(pos, rad)
}

openshape tbox
within tbox {
	
	point b, t
	
	rectangle area

	b = {375, 775}
	t = {625, 900}
	
	area = rectangle(b,t)
}

?A_tbox_area="fill=solid,color=green";

openshape t6box
within t6box {

	point b, t
	
	rectangle area

	b = {450, 850}
	t = {550, 900}
	
	area = rectangle(b,t)
}

openshape pentop
within pentop{
	circle area
	int rad
	point pos

	rad = 5
	pos = {500, 825}
	area = circle(pos, rad)
}

openshape bbox
within bbox {
	point b, t
	
	rectangle area

	b = {375, 100}
	t = {625, 225}
	
	area = rectangle(b,t)
	
}
?A_bbox_area="fill=solid,color=green";

openshape b6box
within b6box {

	point b, t
	
	rectangle area

	b = {450, 100}
	t = {550, 150}
	
	area = rectangle(b,t)
	
}

openshape penbot
within penbot{
	circle area
	int rad
	point pos

	rad = 5
	pos = {500, 175}
	area = circle(pos, rad)
}

int offx1, offx2

offx1 = 250
offx2 = 750

point hwl, hwr, offl, offr
hwl = {250, 500}
hwr = {750,500}
offl = {offx1, offY!}
offr = {offx2, offY!}


line halfway, offside

halfway = [hwl,hwr]
offside = [offl, offr]
?A_offside ="linestyle=dashed,dash=13,fill=solid,color=red";


viewport gkview

openshape gk
within gk{
	circle area
	int rad
	point pos

	rad = 700
	pos = {500,500}
	area = circle(pos, rad)
}

viewport def1view
 
openshape def1
within def1{
	circle area
	int rad
	point pos

	rad = 700
	pos = {500,500}
	area = circle(pos, rad)
}

viewport def2view
 
openshape def2
within def2{
	circle area
	int rad
	point pos

	rad = 700
	pos = {500,500}
	area = circle(pos, rad)
}

?A_gk_area="fill=solid,color=yellow";
?A_def1_area="fill=solid,color=blue";
?A_def2_area="fill=solid,color=blue";

viewport att1view

openshape att1
within att1{
	circle area
	int rad
	point pos

	rad = 700
	pos = {500, 500}
	area = circle(pos, rad)
}

viewport att2view

openshape att2
within att2{
	circle area
	int rad
	point pos

	rad = 700
	pos = {500, 500}
	area = circle(pos, rad)
}

viewport att3view

openshape att3
within att3{
	circle area
	int rad
	point pos

	rad = 700
	pos = {500, 500}
	area = circle(pos, rad)
}

viewport ballview

openshape ball
within ball{
	circle area
	int rad
	point pos
	
	rad = 500
	pos = {500, 500}
	area = circle(pos,rad)
}
	
?A_att1_area="fill=solid,color=red";
?A_att2_area="fill=solid,color=red";
?A_att3_area="fill=solid,color=red";
?A_ball_area="fill=solid,color=black";

viewport flagview

openshape redflag
within redflag {
	
	point b, t
	
	rectangle area

	b = {50, 50}
	t = {950, 950}
	
	area = rectangle(b,t)

}

openshape yellowflag1
within yellowflag1 {
	
	point b, t
	
	rectangle area

	b = {500, 50}
	t = {950, 500}
	
	area = rectangle(b,t)

}

openshape yellowflag2
within yellowflag2 {
	
	point b, t
	
	rectangle area

	b = {50, 500}
	t = {500, 950}
	
	area = rectangle(b,t)

}

?A_redflag_area="fill=solid,color=red";
?A_yellowflag1_area="fill=solid,color=yellow";
?A_yellowflag2_area="fill=solid,color=yellow";

viewport messagesport

point activeLabelCentre
activeLabelCentre = {600, 800}

label activeLabel

char activeLabelText
?_activeLabelText is activePlayer ? "Active player is" : "";

activeLabel = label(activeLabelText, activeLabelCentre)

?A_gameLabel = "font={times 16 normal}";




%eden

gkx = 244;
gky = 54;
gkclick = 54;
def1x = 190;
def1y = 140;
def1click = 140;
def2x = 298;
def2y = 140;
def2click = 140;
att1x = 244;
att1y = 186;
att1click = 186;
att1xclick = 244;
att2x = 268;
att2y = 244;
att2click = 244;
att2xclick = 268;
att3x = 220;
att3y = 244;
att3click = 244;
offY = 1001;
flagY = 550;
offsideLineChk = 0;
offsideChk = 0;
att1offside = 0;

activewin = none;
MyString = "Select player to move";


proc gkwin_click : gkwin_mouse {
	
	if (gkwin_mouse[2] == 4) {
		activewin = gkwin;
		MyString = "GoalKeeper Selected";
		A_gk_area="fill=solid,color=black";
	}
}

proc def1win_click : def1win_mouse {

	if (def1win_mouse[2] == 4) {
		activewin = def1win;
		MyString = "Defender 1 Selected";
		A_def1_area="fill=solid,color=black";
	}

}

proc def2win_click : def2win_mouse {

	if (def2win_mouse[2] == 4) {
		activewin = def2win;
		MyString = "Defender 2 Selected";
		A_def2_area="fill=solid,color=black";
	}

}

proc att1win_click : att1win_mouse {

	if (att1win_mouse[2] == 4) {
		activewin = att1win;
		MyString = "Attacker 1 Selected";
		A_att1_area="fill=solid,color=black";
	}
}

proc att2win_click : att2win_mouse {

	if (att2win_mouse[2] == 4) {
		activewin = att2win;
		MyString = "Attacker 2 Selected";
		A_att2_area="fill=solid,color=black";
	}

}

proc att3win_click : att3win_mouse {

	if (att3win_mouse[2] == 4) {
		activewin = att3win;
		MyString = "Attacker 3 Selected";
		A_att3_area="fill=solid,color=black";
	}

}

proc offside_line_check : offsideLineChk{
	
	if ((gky < def1y and gky > def2y) or (gky < def2y and gky > def1y)){
		if(gkclick > 500){
		offY = gkclick;
		} else { offY = 500; }
	}
	if((def1y < gky and def1y > def2y) or (def1y < def2y and def1y > gky)){
		if(def1click > 500){
		offY = def1click;
		} else { offY = 500; }
	}
	if((def2y < gky and def2y > def1y) or (def2y < def1y and def2y > gky)){
		if(def2click > 500){
		offY = def2click;
		} else { offY = 500; }
	}
	
	offsideChk = 1;
}

proc offside_check : offsideChk {

	flagY = -50;
	if((att1xclick > 250 and att1xclick < 750) and (att1click < 900 and att1click > 100)){
		?att1xclick;
		if(att1click > offY){
			if(att3y > att1y){
				MyString = "Attacker 1 is offside";
				flagY = att1y;
				att1offside = 1;
			}
			else {
				MyString = "Not offside as player is behind ball";
			}
		}
	}
	
	if((att2xclick > 250 or att2xclick < 750) and (att2click < 900 and att2click > 100)){
		?att2click;
		if(att2click > offY){
			if(att3y > att2y){
				if(att1offside == 1){
					MyString = "Attacker 1 & 2 is offside";
					flagY = att2y;
				}
				else {
					MyString = "Attacker 2 is offside";
					flagY = att2y;
				}
			} else {
				if(att1offside == 1){
					MyString = "Attacker 1 is offside";
				}
				else{
					MyString = "Not offside as player is behind ball";
				}
			}
		}
	}
	
	att1offside = 0;

}

proc displaywin_click : displaywin_mouse {

	if(displaywin_mouse[2] == 4) {
		if(activewin == gkwin) {
			gkx = (displaywin_mouse[4] / 2) - 6;
			gky = 500 - (displaywin_mouse[5] / 2) - 6;
			gkclick = (displaywin_mouse[5]);
			MyString = "Select player to move";
			A_gk_area="fill=solid,color=yellow";
			offsideLineChk = 1;
		}
		if(activewin == def1win) {
			def1x = (displaywin_mouse[4] / 2) - 6;
			def1y = 500 - (displaywin_mouse[5] / 2) - 6;
			def1click = (displaywin_mouse[5]);
			MyString = "Select player to move";
			A_def1_area="fill=solid,color=blue";
			offsideLineChk = 1;
		}
		if(activewin == def2win) {
			def2x = (displaywin_mouse[4] / 2) - 6;
			def2y = 500 - (displaywin_mouse[5] / 2) - 6;
			def2click = (displaywin_mouse[5]);
			MyString = "Select player to move";
			A_def2_area="fill=solid,color=blue";
			offsideLineChk = 1;
		}
		if(activewin == att1win) {
			att1x = (displaywin_mouse[4] / 2) - 6;
			att1y = 500 - (displaywin_mouse[5] / 2) - 6;
			att1click = (displaywin_mouse[5]);
			att1xclick = (displaywin_mouse[4]);
			MyString = "Select player to move";
			A_att1_area="fill=solid,color=red";
			
			if(att1click < 500){
			MyString = "Attacker 1 cannot be offside in his own half";
			}
			
			offsideChk = 1;
		}
		if(activewin == att2win) {
			att2x = (displaywin_mouse[4] / 2) - 6;
			att2y = 500 - (displaywin_mouse[5] / 2) - 6;
			att2click = (displaywin_mouse[5]);
			att2xclick = (displaywin_mouse[4]);
			MyString = "Select player to move";
			A_att2_area="fill=solid,color=red";
			
			if(att2click < 500){
			MyString = "Attacker 1 cannot be offside in his own half";
			}
			
			offsideChk = 1;
		}
		if(activewin == att3win) {
			att3x = (displaywin_mouse[4] / 2) - 6;
			att3y = 500 - (displaywin_mouse[5] / 2) - 6;
			MyString = "Select player to move";
			A_att3_area="fill=solid,color=red";
			offsideChk = 1;
		}
	}
}